/* ============================================================
   Onesown Blazor Components – Colorpicker
   Abhängigkeit: theme1.css
   ============================================================ */

.oo-colorpicker {
    display: inline-flex;
    gap: 0.25rem;
    outline: none !important;
    position: relative;
}

    .oo-colorpicker .form--label {
        margin-bottom: 0;
    }

.oo-colorpicker--horizontal {
    flex-direction: row;
}

    .oo-colorpicker--horizontal .form--label {
        align-self: center;
    }

.oo-colorpicker--vertical {
    flex-direction: column;
}

.oo-colorpicker.invalid .oo-colorpicker--button {
    outline: 2px solid var(--oo-danger);
}

.oo-colorpicker.invalid:hover .oo-validation-tooltip {
    display: block;
}

.oo-colorpicker--backdrop {
    position: fixed;
    inset: 0;
    z-index: 1;
}

.oo-colorpicker--anchor {
    position: relative;
    display: inline-block;
    /*z-index: var(--oo-z-modal);*/
}

.oo-colorpicker--button {
    /*display: block;*/
    /*width: 2rem;*/
    /*height: 2rem;*/
    border: 0.0625rem solid transparent; /* sieht sonst so angeknappert aus */
    cursor: pointer;
    /*border: 1px solid #eae8e9;*/
    border-radius: 100%;
    display: flex;
    flex-shrink: 0;
    align-items: center;
    justify-content: center;
    height: 1.75rem;
    width: 1.75rem;
}

.oo-colorpicker--dialog {
    display: none;
    position: absolute;
    top: calc(100% + 4px);
    left: 0;
    background: var(--oo-color-surface);
    box-shadow: 0 5px 5px -3px rgba(0,0,0,.2), 0 8px 10px 1px rgba(0,0,0,.14), 0 3px 14px 2px rgba(0,0,0,.12);
}

    .oo-colorpicker--dialog.Aktiv {
        display: block;
        width: max-content;
        z-index: calc(var(--oo-z-modal) + 1);
    }

.oo-colorpicker--dialog-inner {
    display: flex;
    flex-wrap: wrap;
    gap: 0.25rem;
    padding: 0.5rem;
}

.oo-colorpicker--ul {
    display: flex;
    flex-wrap: wrap;
    gap: 0.25rem;
    list-style: none;
    margin: 0;
    padding: 0;
}

.oo-colorpicker--li {
    border: 0.0625rem solid var(--oo-color-border-strong);
    border-radius: var(--oo-radius-sm);
    cursor: pointer;
    height: 1.5rem;
    width: 1.5rem;
}

    .oo-colorpicker--li.Selected {
        outline: 2px solid var(--oo-primary);
        outline-offset: 1px;
    }

.oo-colorpicker--input {
    cursor: pointer;
    height: 100%;
    left: 0;
    opacity: 0;
    position: absolute;
    top: 0;
    width: 100%;
    z-index: 5;
}
